﻿@model ClientPrevEsp
@{
    List<SelectListItem> EmploymentOf = ViewBag.EmploymentOf;
}
<div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">Add Previous Employer Retirement Plan</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <i aria-hidden="true" class="ki ki-close"></i>
            </button>
        </div>
        <form asp-action="addprevesp" class="form fv-plugins-bootstrap fv-plugins-framework" id="EmploymentInfo_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompletePrevEsp">
            <div class="modal-body min-h-375px">
                <div class="row">
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label>Client Name</label>
                            <select class="form-control form-control-lg required" id="ClientType" name="ClientType">
                                @foreach (var item in EmploymentOf)
                                {
                                    <option value="@item.Value" data-subtext="@item.Group?.Name" selected="@item.Selected" disabled="@item.Disabled">@item.Text</option>
                                }
                            </select>
                            <span class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-8">
                        <div class="form-group">
                            <label asp-for="EmployerName"></label>
                            <input class="form-control form-control-lg" asp-for="EmployerName" />
                            <span class="text-danger" asp-validation-for="EmployerName"></span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-8">
                        <div class="form-group">
                            <label asp-for="Type"></label>
                            <select class="form-control form-control-lg" asp-for="Type" asp-items="Html.GetEnumSelectList<RetirementPlanTypeEnum>()" data-live-search="true" data-size="6">
                            </select>
                            <span class="text-danger" asp-validation-for="Type"></span>
                        </div>
                    </div>
                    <div class="col-xl-4 other-description-div">
                        <div class="form-group ">
                            <label asp-for="OtherType"></label>
                            <input class="form-control form-control-lg" asp-for="OtherType" />
                            <span class="text-danger" asp-validation-for="OtherType"></span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="PreEmpCurrentBalance"></label>
                            <input class="form-control form-control-lg currency" asp-for="PreEmpCurrentBalance" type="text" />
                            <span class="text-danger" asp-validation-for="PreEmpCurrentBalance"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="PreEmpAvgRateReturn"></label>
                            <input class="form-control form-control-lg percentage" asp-for="PreEmpAvgRateReturn" type="text" />
                            <span class="text-danger" asp-validation-for="PreEmpAvgRateReturn"></span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label class="form-check-label switch-label" asp-for="HasPreEmpIncome">
                                Annual Income?
                            </label>
                            <div>
                                <span class="switch switch-icon switch-sm switch-custom">
                                    <label>
                                        <input type="checkbox" asp-for="HasPreEmpIncome">
                                        <span></span>
                                    </label>
                                </span>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-4 annualIncome-div">
                        <div class="form-group ">
                            <label asp-for="PreEmpAnnualAmount"></label>
                            <input class="form-control form-control-lg currency" asp-for="PreEmpAnnualAmount" type="text" />
                            <span class="text-danger" asp-validation-for="PreEmpAnnualAmount"></span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary font-weight-bold px-6 py-2" id="btn_submit_adviser">
                    <i class="la la-save"></i>Save
                </button>
            </div>
        </form>
    </div>
</div>
<script>
    setTimeout(function () {
        KTApp.unblockPage();
        var hasIncome = $("#HasPreEmpIncome").is(":checked");
        showHideAnnualIncome(hasIncome);
        var type = $("#Type").val();
        showHideOtherDescription(type);
        $("#EspModal").modal({ backdrop: 'static' });
    }, 2000);
    var onFormCompletePrevEsp = function (response) {
        var id = $(this).find(":submit").attr('id');
        var btn = KTUtil.getById(id);
        var frm_id = $(this).attr('id');
        frm_id = frm_id == undefined ? $(frm).attr('id') : frm_id;
        var responseObj = JSON.parse(response.responseText);
        var prevesps = responseObj.data.updateditems
        if (responseObj) {
            if (responseObj.success) {
                responseObj.data.Cardcolor = prevesps[0].employmentOf == ClientType.CLIENT ? "#b00022" : "#008080";
                var modalId = $('.modal:visible').attr("id");
                $(`#${modalId}`).modal('hide');
                $.get('template/prev-esp-template.html', function (template) {
                    $(`#prev-esp-${prevesps[0].employmentOf}`).html($.tmpl(template, responseObj.data));
                });
                toastr.clear();
                toastr.options = toastrOptions;
                toastr.success(responseObj.message);
                LoadExplicitVue();
            }
            else
                _showFormMessage(`${frm_id}`, "danger", responseObj.message, "fas fa-exclamation-triangle");
        }
        else
            _showFormMessage(`${frm_id}`, "danger", "Error Occur", "fas fa-exclamation-triangle")
        KTUtil.btnRelease(btn);
    };
</script>